# Barry::NullParser Class Reference

`#include <parser.h>`

Inheritance diagram for Barry::NullParser:

[legend]
Collaboration diagram for Barry::NullParser:

[legend]

List of all members.

## Detailed Description

If in debug mode, this class can be used as a null parser.

Call Init() and the protocol will be dumped to stdout and no parsing will be done.

Do NOT derive your own personal parser classes from this, unless you are perfectly confident that you will catch future API changes on the devel tree without the compiler's help.

Definition at line 116 of file parser.h.

## Public Member Functions

virtual void | ParseRecord (const DBData &data, const IConverter *ic)
| Called to parse sub fields in the raw data packet.

## Member Function Documentation

virtual void Barry::NullParser::ParseRecord | ( | const DBData & | data,
|  | const IConverter * | ic |
| ) |  |  | `[inline, virtual]`

Called to parse sub fields in the raw data packet.

Implements Barry::Parser.

Definition at line 122 of file parser.h.

The documentation for this class was generated from the following file:

- parser.h